variable "service_name" {
  type        = string
  description = "Name of the service"
  default     = "auth"
}

variable "server_dns" {
  type        = string
  description = "Domain for the server"
}

variable "k8s_config_yaml" {
  description = "Content of k8s config yaml file"
  type        = string
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "namespace" {
  type = string
}

variable "database" {
  type    = string
  default = "zitadel"
}

variable "database_username" {
  type    = string
  default = "zitadel"
}

variable "database_password" {
  type      = string
  sensitive = true
}

variable "database_root_username" {
  type    = string
  default = "postgres"
}

variable "database_root_password" {
  type      = string
  sensitive = true
  default   = null
}

variable "display_on_homepage" {
  type    = bool
  default = false
}

variable "enabled" {
  type    = bool
  default = true
}

variable "ingressClass" {
  description = "Ingress class to use"
  type        = string
  default     = "nginx"
}
